### org.jfree.layouting.input.style.parser.stylehandler.border

# Class BorderRadiusReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderRadiusReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class BorderRadiusReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler, CSSCompoundValueReadHandler`

This looks a bit funny, as if the standard has not been completed. THe compound property may change ...

Author:
  Thomas Morgner

  ## Constructor Summary

  `BorderRadiusReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

## Constructor Details

### BorderRadiusReadHandler

    public BorderRadiusReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()

> Specified by:
>   getAffectedKeys in interface CSSCompoundValueReadHandler